## open-iscsi 2.0.865

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,11 @@
 initddir = $(etcdir)/init.d
 
 MANPAGES = doc/iscsid.8 doc/iscsiadm.8 doc/iscsi_discovery.8
-PROGRAMS = usr/iscsid usr/iscsiadm utils/iscsi_discovery
+PROGRAMS = usr/iscsid usr/iscsiadm utils/iscsi_discovery \
+		   utils/fwparam_ibft/fwparam_ibft utils/iscsi-iname
 INSTALL = install
 ETCFILES = etc/iscsid.conf
+IFACEFILES = etc/iface.example
 
 # Random comments:
 # using '$(MAKE)' instead of just 'make' allows make to run in parallel
@@ -26,6 +28,8 @@
 all:
 	$(MAKE) -C usr
 	$(MAKE) -C kernel
+	$(MAKE) -C utils
+	$(MAKE) -C utils/fwparam_ibft
 	@echo
 	@echo "Compilation complete                Output file"
 	@echo "----------------------------------- ----------------"
@@ -34,22 +38,25 @@
 	@echo "Built iSCSI over TCP kernel module: kernel/iscsi_tcp.ko"
 	@echo "Built iSCSI daemon:                 usr/iscsid"
 	@echo "Built management application:       usr/iscsiadm"
+	@echo "Built utility:                      utils/fwparam_ibft/fwparam_ibft"
 	@echo
 	@echo Read README file for detailed information.
 
 clean:
+	$(MAKE) -C utils clean
 	$(MAKE) -C usr clean
 	$(MAKE) -C kernel clean
+	$(MAKE) -C utils/fwparam_ibft clean
 
 # this is for safety
 # now -jXXX will still be safe
 # note that make may still execute the blocks in parallel
 .NOTPARALLEL: install_usr install_programs install_initd \
 	install_initd_suse install_initd_redhat install_initd_debian \
-	install_etc install_doc install_kernel
+	install_etc install_iface install_doc install_kernel install_iname
 
 install: install_kernel install_programs install_doc install_etc \
-	install_initd
+	install_initd install_iname install_iface
 
 install_programs:  $(PROGRAMS)
 	$(INSTALL) -d $(DESTDIR)$(sbindir)
@@ -82,6 +89,10 @@
 	$(INSTALL) -m 755 etc/initd/initd.debian \
 		$(DESTDIR)$(initddir)/open-iscsi
 
+install_iface: $(IFACEFILES)
+	$(INSTALL) -d $(DESTDIR)$(etcdir)/iscsi/ifaces
+	$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi/ifaces
+
 install_etc: $(ETCFILES)
 	$(INSTALL) -d $(DESTDIR)$(etcdir)/iscsi
 	$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi
@@ -93,4 +104,13 @@
 install_kernel:
 	$(MAKE) -C kernel install_kernel
 
+install_iname:
+	if [ ! -f /etc/iscsi/initiatorname.iscsi ]; then \
+		echo "InitiatorName=`/sbin/iscsi-iname`" > /etc/iscsi/initiatorname.iscsi ; \
+		echo "***************************************************" ; \
+		echo "Setting InitiatorName to `cat /etc/iscsi/initiatorname.iscsi`" ; \
+		echo "To override edit /etc/iscsi/initiatorname.iscsi" ; \
+		echo "***************************************************" ; \
+	fi
+
 # vim: ft=make tw=72 sw=4 ts=4:
