=== usr/Makefile ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 ifeq ($(OSNAME),Linux)
 	ifeq ($(KSUBLEVEL),11)
-		IPC_CFLAGS=-DNETLINK_ISCSI=12
+		IPC_CFLAGS=-DNETLINK_ISCSI=12 -D_GNU_SOURCE
 	else
 	ifeq ($(KSUBLEVEL),12)
-		IPC_CFLAGS=-DNETLINK_ISCSI=12
+		IPC_CFLAGS=-DNETLINK_ISCSI=12 -D_GNU_SOURCE
 	else
-		IPC_CFLAGS=-DNETLINK_ISCSI=8
+		IPC_CFLAGS=-DNETLINK_ISCSI=8 -D_GNU_SOURCE
 	endif
 	endif
 IPC_OBJ=netlink.o
@@ -34,11 +34,11 @@
 PROGRAMS = iscsid iscsiadm iscsistart
 
 # sources shared between iscsid, iscsiadm and iscsistart
-ISCSI_LIB_SRCS = util.o io.o auth.o login.o log.o md5.o sha1.o iscsi_sysfs.o
+ISCSI_LIB_SRCS = util.o io.o auth.o login.o log.o md5.o sha1.o iscsi_sysfs.o idbm.o
 # sources shared between iscsid and iscsiadm
-COMMON_SRCS =  $(ISCSI_LIB_SRCS) idbm.o
+COMMON_SRCS =  $(ISCSI_LIB_SRCS)
 # core initiator files
-INITIATOR_SRCS = initiator.o queue.o actor.o mgmt_ipc.o transport.o
+INITIATOR_SRCS = initiator.o queue.o actor.o mgmt_ipc.o isns.o transport.o
 
 all: $(PROGRAMS)
