## open-iscsi 2.0.870~rc3

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 initddir = $(etcdir)/init.d
 
 MANPAGES = doc/iscsid.8 doc/iscsiadm.8 doc/iscsi_discovery.8
-PROGRAMS = usr/iscsid usr/iscsiadm utils/iscsi_discovery \
-		   utils/fwparam_ibft/fwparam_ibft utils/iscsi-iname
+PROGRAMS = usr/iscsid usr/iscsiadm utils/iscsi_discovery utils/iscsi-iname
 INSTALL = install
 ETCFILES = etc/iscsid.conf
 IFACEFILES = etc/iface.example
@@ -26,10 +25,10 @@
 # over multiple makefile.
 
 all:
+	$(MAKE) -C utils/fwparam_ibft
 	$(MAKE) -C usr
 	$(MAKE) -C kernel
 	$(MAKE) -C utils
-	$(MAKE) -C utils/fwparam_ibft
 	@echo
 	@echo "Compilation complete                Output file"
 	@echo "----------------------------------- ----------------"
@@ -38,15 +37,14 @@
 	@echo "Built iSCSI over TCP kernel module: kernel/iscsi_tcp.ko"
 	@echo "Built iSCSI daemon:                 usr/iscsid"
 	@echo "Built management application:       usr/iscsiadm"
-	@echo "Built utility:                      utils/fwparam_ibft/fwparam_ibft"
 	@echo
 	@echo Read README file for detailed information.
 
 clean:
+	$(MAKE) -C utils/fwparam_ibft clean
 	$(MAKE) -C utils clean
 	$(MAKE) -C usr clean
 	$(MAKE) -C kernel clean
-	$(MAKE) -C utils/fwparam_ibft clean
 
 # this is for safety
 # now -jXXX will still be safe
@@ -56,6 +54,9 @@
 	install_etc install_iface install_doc install_kernel install_iname
 
 install: install_kernel install_programs install_doc install_etc \
+	install_initd install_iname install_iface
+
+install_usr: install_programs install_doc install_etc \
 	install_initd install_iname install_iface
 
 install_programs:  $(PROGRAMS)
@@ -78,6 +79,8 @@
 	$(INSTALL) -d $(DESTDIR)$(initddir)
 	$(INSTALL) -m 755 etc/initd/initd.suse \
 		$(DESTDIR)$(initddir)/open-iscsi
+	$(INSTALL) -m 755 etc/initd/boot.suse \
+		$(DESTDIR)$(initddir)/boot.open-iscsi
 
 install_initd_redhat:
 	$(INSTALL) -d $(DESTDIR)$(initddir)
@@ -94,8 +97,10 @@
 	$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi/ifaces
 
 install_etc: $(ETCFILES)
-	$(INSTALL) -d $(DESTDIR)$(etcdir)/iscsi
-	$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi
+	if [ ! -f /etc/iscsi/iscsid.conf ]; then \
+		$(INSTALL) -d $(DESTDIR)$(etcdir)/iscsi ; \
+		$(INSTALL) -m 644 $^ $(DESTDIR)$(etcdir)/iscsi ; \
+	fi
 
 install_doc: $(MANPAGES)
 	$(INSTALL) -d $(DESTDIR)$(mandir)/man8
@@ -113,4 +118,9 @@
 		echo "***************************************************" ; \
 	fi
 
+depend:
+	for dir in usr utils utils/fwparam_ibft; do \
+		$(MAKE) -C $$dir $@; \
+	done
+
 # vim: ft=make tw=72 sw=4 ts=4:
