=== kernel/Makefile ===
--- 
+++ 
@@ -48,11 +48,11 @@
 #            form.
 
 #some constants
-13_patch=2.6.13_compat.patch
-14to15_patch=2.6.14-and-2.6.15-compat.patch
-16to18_patch=2.6.16-18_compat.patch
-19_patch=2.6.19_compat.patch
-all_patches=13_patch 14to15_patch 16to18_patch 19_patch
+14to19_patch=2.6.14-19_compat.patch
+20to21_patch=2.6.20-21_compat.patch
+24_patch=2.6.24_compat.patch
+26_patch=2.6.26_compat.patch
+all_patches=14to21_patch 20to21_patch 24_patch 26_patch
 cur_patched=cur_patched
 
 ## fun stuff for maintaining multiple versions
@@ -63,71 +63,82 @@
 KSUBLEVEL = $(shell cat $(KSRC)/Makefile | awk -F= '/^SUBLEVEL =/ {print $$2}' | \
 		sed 's/^[ \t]*//;s/[ \t]*$$//')
 
+
 KERNEL_TARGET=linux_2_6_$(KSUBLEVEL)
 kernel_check: $(KERNEL_TARGET)
 
+linux_2_6_14: has_14to19_patch
 
-linux_2_6_13: has_13_patch
+linux_2_6_15: has_14to19_patch
 
-linux_2_6_14: has_14to15_patch
+linux_2_6_16: has_14to19_patch
 
-linux_2_6_15: has_14to15_patch
+linux_2_6_17: has_14to19_patch
 
-linux_2_6_16: has_16to18_patch
+linux_2_6_18: has_14to19_patch
 
-linux_2_6_17: has_16to18_patch
+linux_2_6_19: has_14to19_patch
 
-linux_2_6_18: has_16to18_patch
+linux_2_6_20: has_20to21_patch
 
-linux_2_6_19: has_19_patch
+linux_2_6_21: has_20to21_patch
 
-linux_2_6_20: $(unpatch_code)
+linux_2_6_22: has_20to21_patch
 
-linux_2_6_21: $(unpatch_code)
+linux_2_6_23: has_20to21_patch
+
+linux_2_6_24: has_24_patch
+
+linux_2_6_25: has_24_patch
+
+linux_2_6_26: has_26_patch
+
+linux_2_6_27: $(unpatch_code)
 
 do_unpatch_code:
-	echo "Un-patching source code for use with linux-2.6.20 and up ..."
+	echo "Un-patching source code for use with linux-2.6.14 and up ..."
 	patch -R -E -p1 < $(cur_patched)
 	rm -f `readlink $(cur_patched)`
 	rm -f $(cur_patched)
 
 # these below targets must be the same as the variable name prefixed by has_
 # otherwise below compat_patch: target will not work
-has_13_patch: $(13_patch)
-	echo "Patching source code for linux-2.6.13 ..."
+has_14to19_patch: $(14to19_patch)
+	echo "Patching source code for linux-2.6.14-19 ..."
 	if [ -e $(cur_patched) ]; then \
 		make -C . clean; \
 	fi
-	patch -p1 < $(13_patch)
-	cp $(13_patch) $@
+	patch -p1 < $(14to19_patch)
+	cp $(14to19_patch) $@
 	ln -s $@ $(cur_patched)
 
-has_14to15_patch: $(14to15_patch)
-	echo "Patching source code for linux-2.6.14-15 ..."
+has_20to21_patch: $(20to21_patch)
+	echo "Patching source code for linux-2.6.20-21 ..."
 	if [ -e $(cur_patched) ]; then \
 		make -C . clean; \
 	fi
-	patch -p1 < $(14to15_patch)
-	cp $(14to15_patch) $@
+	patch -p1 < $(20to21_patch)
+	cp $(20to21_patch) $@
 	ln -s $@ $(cur_patched)
 
-has_16to18_patch: $(16to18_patch)
-	echo "Patching source code for linux-2.6.16-18 ..."
+has_24_patch: $(24_patch)
+	echo "Patching source code for linux-2.6.24-25 ..."
 	if [ -e $(cur_patched) ]; then \
 		make -C . clean; \
 	fi
-	patch -p1 < $(16to18_patch)
-	cp $(16to18_patch) $@
+	patch -p1 < $(24_patch)
+	cp $(24_patch) $@
 	ln -s $@ $(cur_patched)
 
-has_19_patch: $(19_patch)
-	echo "Patching source code for linux-2.6.19 ..."
+has_26_patch: $(26_patch)
+	echo "Patching source code for linux-2.6.26 ..."
 	if [ -e $(cur_patched) ]; then \
 		make -C . clean; \
 	fi
-	patch -p1 < $(19_patch)
-	cp $(19_patch) $@
+	patch -p1 < $(26_patch)
+	cp $(26_patch) $@
 	ln -s $@ $(cur_patched)
+
 
 # ============ END code for kernel_check and source patching =================
 
@@ -173,4 +184,9 @@
 install_kernel: $(ko)
 	$(KBUILD_BASE) modules_install INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) INSTALL_MOD_PATH=$(INSTALL_MOD_PATH)
 
+dpkg_divert:
+	for module in $(ko) ; do \
+		dpkg-divert --rename /lib/modules/$(KERNELRELEASE)/$(INSTALL_MOD_DIR)/$$module ; \
+	done
+
 # vim: ft=make tw=72 sw=4 ts=4:
