=== kernel/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 obj-m				+= scsi_transport_iscsi.o
 obj-m				+= libiscsi.o
+obj-m				+= libiscsi_tcp.o
 obj-m				+= iscsi_tcp.o
 
 # Everything beyond this point is used to call KBuild or handle support
@@ -48,11 +49,11 @@
 #            form.
 
 #some constants
-14to19_patch=2.6.14-19_compat.patch
-20to21_patch=2.6.20-21_compat.patch
+14to23_patch=2.6.14-23_compat.patch
 24_patch=2.6.24_compat.patch
 26_patch=2.6.26_compat.patch
-all_patches=14to21_patch 20to21_patch 24_patch 26_patch
+27_patch=2.6.27_compat.patch
+all_patches=14to21_patch 20to21_patch 24_patch 26_patch 27_patch
 cur_patched=cur_patched
 
 ## fun stuff for maintaining multiple versions
@@ -67,25 +68,25 @@
 KERNEL_TARGET=linux_2_6_$(KSUBLEVEL)
 kernel_check: $(KERNEL_TARGET)
 
-linux_2_6_14: has_14to19_patch
-
-linux_2_6_15: has_14to19_patch
-
-linux_2_6_16: has_14to19_patch
-
-linux_2_6_17: has_14to19_patch
-
-linux_2_6_18: has_14to19_patch
-
-linux_2_6_19: has_14to19_patch
-
-linux_2_6_20: has_20to21_patch
-
-linux_2_6_21: has_20to21_patch
-
-linux_2_6_22: has_20to21_patch
-
-linux_2_6_23: has_20to21_patch
+linux_2_6_14: has_14to23_patch
+
+linux_2_6_15: has_14to23_patch
+
+linux_2_6_16: has_14to23_patch
+
+linux_2_6_17: has_14to23_patch
+
+linux_2_6_18: has_14to23_patch
+
+linux_2_6_19: has_14to23_patch
+
+linux_2_6_20: has_14to23_patch
+
+linux_2_6_21: has_14to23_patch
+
+linux_2_6_22: has_14to23_patch
+
+linux_2_6_23: has_14to23_patch
 
 linux_2_6_24: has_24_patch
 
@@ -93,7 +94,14 @@
 
 linux_2_6_26: has_26_patch
 
-linux_2_6_27: $(unpatch_code)
+linux_2_6_27: has_27_patch
+
+linux_2_6_28: $(unpatch_code)
+
+linux_2_6_29: $(unpatch_code)
+
+linux_2_6_30: $(unpatch_code)
+
 
 do_unpatch_code:
 	echo "Un-patching source code for use with linux-2.6.14 and up ..."
@@ -103,22 +111,13 @@
 
 # these below targets must be the same as the variable name prefixed by has_
 # otherwise below compat_patch: target will not work
-has_14to19_patch: $(14to19_patch)
-	echo "Patching source code for linux-2.6.14-19 ..."
-	if [ -e $(cur_patched) ]; then \
-		make -C . clean; \
-	fi
-	patch -p1 < $(14to19_patch)
-	cp $(14to19_patch) $@
-	ln -s $@ $(cur_patched)
-
-has_20to21_patch: $(20to21_patch)
-	echo "Patching source code for linux-2.6.20-21 ..."
-	if [ -e $(cur_patched) ]; then \
-		make -C . clean; \
-	fi
-	patch -p1 < $(20to21_patch)
-	cp $(20to21_patch) $@
+has_14to23_patch: $(14to23_patch)
+	echo "Patching source code for linux-2.6.14-23 ..."
+	if [ -e $(cur_patched) ]; then \
+		make -C . clean; \
+	fi
+	patch -p1 < $(14to23_patch)
+	cp $(14to23_patch) $@
 	ln -s $@ $(cur_patched)
 
 has_24_patch: $(24_patch)
@@ -137,6 +136,15 @@
 	fi
 	patch -p1 < $(26_patch)
 	cp $(26_patch) $@
+	ln -s $@ $(cur_patched)
+
+has_27_patch: $(27_patch)
+	echo "Patching source code for linux-2.6.27 ..."
+	if [ -e $(cur_patched) ]; then \
+		make -C . clean; \
+	fi
+	patch -p1 < $(27_patch)
+	cp $(27_patch) $@
 	ln -s $@ $(cur_patched)
