=== usr/Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 COMMON_SRCS =  $(ISCSI_LIB_SRCS)
 # core initiator files
 INITIATOR_SRCS = initiator.o scsi.o actor.o event_poll.o mgmt_ipc.o isns.o \
-		cxgb3i.o transport.o
+		cxgb3i.o be2iscsi.o transport.o
 # fw boot files
 FW_BOOT_SRCS = $(wildcard ../utils/fwparam_ibft/*.o)
