=== debian/changelog ===
open-iscsi (2.0.871.3-2squeeze1) unstable; urgency=low

  * Add patch to support NICs that have native iSCSI support. Thanks to
    Bjoern Metzdorf for the patch. (Closes: #514924) 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 25 Oct 2010 02:57:58 +0530

open-iscsi (2.0.871.3-2) unstable; urgency=low

  * Break down and add quilt patches
    + 003_Fix-CVE-2009-1297.patch
    + 004_make-iscsistart-a-dynamic-binary.patch
  * Add some explanation about initiatorname.iscsi into README.Debian
    (Closes: #507003) 
  * Fix double variable assignment in initramfs.local-top. Thanks to Aurelien
    Jarno (Closes: #576786) 
  * Document the odd hang behavior during iSCSI login phase when using 32 bit
    open-iscsi with 64 bit kernel 
  * Change address to my official Debian address and remove the DMUA flag
  * Handle iSCSI LVM devices and devices marked _netdev (Closes: #498616) 
  * Switch to 3.0 (quilt) source format 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 11 Jun 2010 12:33:02 +0530

open-iscsi (2.0.871.3-1) unstable; urgency=low

  * New upstream release (Closes: #564012, #566511) 
  * When open-iscsi service is asked to stop, attempt to umount all iSCSI
    devices. On failure, bail out (Closes: #501580, #499126) 
  * Add debian/source/format specifying the current source format 

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Wed, 24 Mar 2010 21:44:38 +0530

open-iscsi (2.0.871-1) unstable; urgency=low

  [ Guido Günther ]
  * Imported Upstream version 2.0.871

  [ Ritesh Raj Sarraf ]
  * New Upstream Release - 2.0.871
    (Closes: #424642)
  * Fix credential passing in local-top/initramfs.local-top
    (Closes: #550012, #525053)
  * Fix settling of devices in initramfs (Closes: #501582, #488999)
  * Update Standards-Version to 3.8.4
  * Change to team maintenance
  * Add git-orig-source target
  * Add debian/watch file
  * Add README.source file
  * Add quilt patches
  * Add Vcs headers
  * Update debhelper to v7
  * Update copyright information
  * Improve description (Closes: #504707)
  * Stop umountiscsi and open-iscsi in runlevel 1
  * Remove already obsolete disabled-install-indep target
  * Replace deprecated dh_clean -k with dh_prep
  * Refresh 001_manpages_fixes.patch
  * Fix copyright and explain packaging licensing
  * Fix "undefined reference to strl* when building iscsid"
  * Proper sanity check in the init script for empty strings
    (Closes: #501319)
  * Provide init script service with the same name
  * Build iscsistart as a dynamic binary

 -- Ritesh Raj Sarraf <rrs@researchut.com>  Sat, 06 Feb 2010 20:28:23 +0530

open-iscsi (2.0.870~rc3-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * [4bfddee] Fix CVE-2009-1297 (Closes: #547011) - thanks to Colin Watson for
    the patch

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Jan 2010 17:56:18 +0100

open-iscsi (2.0.870~rc3-0.5) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Fix incorrect provides and dependencies in init.d script (Closes:
    #541390).
  * Add missing package dependency on udev.  Rewrite init.d script to use
    'udevadm settle' instead of obsolete 'udevsettle' (Closes: #517225).
  * No longer ignore errors in the postinst.  Tip from lintian.
  * Do not start open-iscsi init.d script during package installation,
    to avoid installation problem (Closes: #529280).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Sep 2009 20:25:49 +0200

open-iscsi (2.0.870~rc3-0.4) unstable; urgency=medium

  * Clean up diff.gz, it downgraded the package to 2.0.869.2.
    (closes: #507496)

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  8 Jan 2009 11:19:23 +0100

open-iscsi (2.0.870~rc3-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Do not exit with return code 1 in init script, because it breaks
    upgrades and is a policy violation (Closes: #503070)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Mon, 27 Oct 2008 10:21:17 +0100

open-iscsi (2.0.870~rc3-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop patch from iscsistart.c which breaks booting from iscsi.
    (closes: #499508)
  * Drop patch from version.h which adds an outdated upstream version
    number.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 10 Oct 2008 10:46:56 +0200

open-iscsi (2.0.870~rc3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
    - Adds support for Linux 2.6.26 (Closes: #499508)
  * Fix ">&" redirection bashism in open-iscsi initscript.

 -- Chris Lamb <lamby@debian.org>  Tue, 30 Sep 2008 21:40:27 +0100

open-iscsi (2.0.869.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #484427)
    - Move upstream URL to Homepage field.
    - Bump Standards-Version to 3.8.0.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Fri, 11 Jul 2008 23:20:18 +0100

open-iscsi (2.0.869.2-2) unstable; urgency=low

  * Revert if-up.d approach for logging into automatic targets; just
    start open-iscsi at rcS.d/S45, and mount _netdev filesystems when
    open-iscsi is started.
  * Call udevsettle before mounting

 -- Philipp Hug <debian@hug.cx>  Mon, 12 May 2008 12:48:49 +0200

open-iscsi (2.0.869.2-1) unstable; urgency=low

  * New upstream release

 -- Philipp Hug <debian@hug.cx>  Mon, 12 May 2008 11:56:30 +0200

open-iscsi (2.0.869~rc4-1) experimental; urgency=low

  * init script: If /sys is not mounted return without error
    (Closes: #470434, #423368)
  * Merged changes by Andrew Moise <chops@demiurgestudios.com>
  * Adding Andrew as Co-Maintainer
  * New upstream release (Closes: #474167)
  * Added flex and bison build-depends
  * Fixed up init scripts to attempt to handle automatic mounting and
    unmounting properly (Closes: #423851, #438542)
  * Added /etc/network/if-up.d/000open-iscsi to start automatic targets
  * Parameterized /etc/iscsi/initiatorname.iscsi in init script,
    correcting one place where it still said /etc/initiatorname.iscsi
  * Updated README.Debian

