=== debian/control ===
Source: open-iscsi
Section: net
Priority: optional
Maintainer: Debian iSCSI Maintainers <pkg-iscsi-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Moise <chops@demiurgestudios.com>, Philipp Hug <debian@hug.cx>, Guido Günther <agx@sigxcpu.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 7.0.0), bzip2, bison, flex
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-iscsi/open-iscsi.git
Vcs-Browser: http://git.debian.org/?p=pkg-iscsi/open-iscsi.git
Homepage: http://www.open-iscsi.org/

Package: open-iscsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description: High performance, transport independent iSCSI implementation
 Open-iSCSI is a high-performance, transport independent, multi-platform
 implementation of RFC3720 iSCSI
 .
 Open-iSCSI is partitioned into user and kernel parts where the kernel
 portion implements iSCSI data path (i.e. iSCSI Read and iSCSI Write)
 The userspace contains the entire control plane consisting of:
  * Configuration Manager
  * iSCSI Discovery, Login and Logout processing
  * Connection level error processing
  * Nop-In and Nop-Out handling
  * Text processing, iSNS, SLP, Radius et cetera (future)
 .
 The userspace component consists of a daemon, iscsid and a management
 utility, iscsiadm

#Package: linux-iscsi-modules-source
#Architecture: all
#Depends: ${shlibs:Depends}, ${misc:Depends}, module-assistant, debhelper (>= 4.0.0), bzip2
#Description: Source Code for the Linux iSCSI Kernel Modules
# Along with make-kpkg, this package maybe used to build a linux-iscsi-modules 
# package for a kernel-image package.
